Bug 990816 - Window switcher mouse selection doesn't work if mouse highlights an option as menu appears
Window switcher mouse selection doesn't work if mouse highlights an option as...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 00:14 EDT by William Brown
Modified: 2015-02-17 11:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:29:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Brown 2013-08-01 00:14:48 EDT
Description of problem:
This request is a very subtle issue. The application switcher menu allows you to highlight an object with the mouse, and upon alt+tab release, the application or window is raised to focus.

However, if the mouse already is over the application switcher as it appears, moving the mouse does not trigger the selection of the window that is under the mouse, until the mouse changes the highlighted item to the left or right (or leaves the switcher and returns.)

To produce this, you need to open at least 2 or more applications. Place the mouse in the centre of the screen, or slightly to the right of centre, and press alt tab. The switcher will appear, and hopefully, an unselected window is below the mouse. Moving the mouse gently, (IE wiggle it) over the single unselected item. The selection will not move to this item. The defect is that it *should* on mouse motion (But should not change with no mouse motion), select the item under the mouse, rather than needing to move the mouse out of the switcher and back.

This enhancement will improve the user experience by creating the ability to more quickly swap windows. 

How reproducible:
Always
Comment 1 William Brown 2014-01-22 17:39:26 EST
This can be fixed by editing the file: /usr/share/gnome-shell/js/ui/switcherPopup.js and changing the following on line 20:

const DISABLE_HOVER_TIMEOUT = 1;
Comment 2 Fedora End Of Life 2015-01-09 14:12:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:29:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.